$(window).on('load', function() {

    // When all images are loaded we remove the preloader and show the images
    $(".ig-gridgallery > .gallery-loader").hide();
    $(".ig-gridgallery > .gallery-content").show();

    // Get the cols -> e.g. ym-g33
    var cols = $(".grid-gallery").data("cols");

    // Initalize masonry for the grid
    var customMasonry = $('.grid-gallery').masonry({
        itemSelector : '.grid-item',
        columnWidth : '.grid-item.col-' + cols,
        percentPosition : true
    });

    // We reflow the layout to fix some issues with gaps.
    customMasonry.masonry();

    // If a lightbox is used, move the caption inside of the link, otherwise
    // the caption is above the lightbox link and cannot be used.
    if ($('.grid-item .lightbox').length > 0) {
        $('.grid-item .ig-caption').each(function() {
            $(this).appendTo($(this).siblings('.lightbox'));
        });
    }

    /**
     * Direction aware hover efects
     */
    var nodes = document.querySelectorAll('.item-animation'),
        _nodes = [].slice.call(nodes, 0);

    /**
     * Get the direction on hover
     *
     * @param {Object} ev
     * @param {Object} obj
     */
    var getDirection = function(ev, obj) {

        var w = $(obj).width();
        var h = $(obj).height();

        var x = (ev.pageX - $(obj).offset().left - (w / 2)) * (w > h ? (h / w) : 1 );
        var y = (ev.pageY - $(obj).offset().top - (h / 2)) * (h > w ? (w / h) : 1 );

        var direction = Math.round(Math.atan2(y, x) / 1.57079633 + 5) % 4

        return direction;
    };

    var addClass = function(ev, obj, state) {
        var direction = getDirection(ev, obj),
            class_suffix = "";

        //Remove old classes
        $(obj).removeClass("in-top in-right in-bottom in-left out-top out-right out-bottom out-left");

        switch ( direction ) {
        case 0 :
            class_suffix = '-top';
            break;
        case 1 :
            class_suffix = '-right';
            break;
        case 2:
            class_suffix = '-bottom';
            break;
        case 3:
            class_suffix = '-left';
            break;
        }

        $(obj).addClass(state + class_suffix);
    };

    // bind events
    _nodes.forEach(function(el) {
        el.addEventListener('mouseenter', function(ev) {
            addClass(ev, this, 'in');
        }, false);

        el.addEventListener('mouseleave', function(ev) {
            addClass(ev, this, 'out');
        }, false);
    });

   	// var setActiveMarkerWidth = function() {
   	// 	var $activeMarker = $('.slider-active-marker');
    //
   	// 	var slideWidth = $activeMarker.parents('.ig-slider').find('.slick-slide').outerWidth();
    //
   	// 	$activeMarker.css('width', slideWidth + 'px');
   	// };
    //
   	// setActiveMarkerWidth();
   	// $(window).smartresize(function() {
   	// 	setActiveMarkerWidth();
   	// });
   	// $(window).trigger('resize');
});
